var channels = [{"title":"Sky News UK","url":"http:\/\/www.filmon.tv\/tv\/channel\/export?channel_id=27&autoPlay=1&affid=39703Jc&quality=low","img":"img\/crop584e77a40d679.png"},{"title":"Gol TV (USA)","url":"http:\/\/www.filmon.tv\/tv\/channel\/export?channel_id=374&affid=39703Jc&quality=low","img":"img\/crop584e7883dabc5.png"},{"title":"Fox Soccer (USA)","url":"http:\/\/www.filmon.tv\/tv\/channel\/export?channel_id=3557&autoPlay=1&affid=39703Jc&quality=low","img":"img\/crop584e7936eaccd.png"},{"title":"Info Sport (France)","url":"http:\/\/www.filmon.tv\/tv\/channel\/export?channel_id=517&affid=39703Jc&quality=low","img":"img\/crop584e7b4b554aa.jpg"},{"title":"ESPN Mobile (USA)","url":"http:\/\/www.filmon.tv\/tv\/channel\/export?channel_id=713&affid=39703Jc&quality=low","img":"img\/crop584e7ce761bcb.png"},{"title":"Speed TV (USA)","url":"http:\/\/www.filmon.tv\/tv\/channel\/export?channel_id=2945&autoPlay=1&affid=39703Jc&quality=low","img":"img\/crop584e7e5565bc3.png"},{"title":"BigPond League (Australia)","url":"http:\/\/www.filmon.tv\/tv\/channel\/export?channel_id=1756&affid=39703Jc&quality=low","img":"img\/crop584e7ebb66ebb.jpg"},{"title":"ESPN (USA)","url":"http:\/\/www.filmon.tv\/tv\/channel\/export?channel_id=713&affid=39703Jc&quality=low","img":"img\/crop584e7f4438e2f.jpg"},{"title":"HBO Boxing (USA)","url":"http:\/\/www.filmon.tv\/tv\/channel\/export?channel_id=1864&affid=39703Jc&quality=low","img":"img\/crop584e7ff2a3595.jpeg"},{"title":"Super Tennis (Italy)","url":"http:\/\/www.filmon.tv\/tv\/channel\/export?channel_id=1948&autoPlay=1&affid=39703Jc&quality=low","img":"img\/crop584e80e9f2ceb.png"},{"title":"Dubai Sports (UAE)","url":"http:\/\/www.filmon.tv\/tv\/channel\/export?channel_id=79&affid=39703Jc&quality=low","img":"img\/crop584e81b251129.jpg"},{"title":"NFL Network (USA)","url":"http:\/\/www.filmon.tv\/tv\/channel\/export?channel_id=980&affid=39703Jc&quality=low","img":"img\/crop584e829fce453.png"},{"title":"Leafs Sport TV (Canada)","url":"http:\/\/www.filmon.tv\/tv\/channel\/export?channel_id=2053&affid=39703Jc&quality=low","img":"img\/crop584e88fc2cdc8.png"},{"title":"BigPond TV 3 (Australia)","url":"http:\/\/www.filmon.tv\/tv\/channel\/export?channel_id=980&affid=39703Jc&quality=low","img":"img\/crop584e8a4c5dbb0.jpg"},{"title":"Turkie TRT SPORT","url":"http:\/\/www.freeintertv.com\/view\/id-342\/Turkey-Sport-0-1","img":"img\/crop58179bef8a3c3.png"}];
function getDataByString(arr, str) {
	var keys = str.split('.');
	var tmp;
	tmp = arr;
	for (var i = 0; i < keys.length; i++) {
		if (tmp[keys[i]] == undefined) {
			return '';
		}
		else {
			tmp = tmp[keys[i]];
		}
	}
	return tmp;
}

var item_template =
	'<div class="collection-item  col s6 m4 l4" >' +
	'<div class="card">' +
	'<div class="card-image red green lighten-4">' +
	'<img src="{{img}}"/>'+
	'</div>' +
	'<div class="card-action">' +
	'<div class="options dropdown-button" id="button-d-{{id}}" data-activates="dropdown{{id}}"><img src="./img/ic_more_vert_black_24dp_1x.png"/></div>' +
	'<a style="display:block; width: 100%" href="{{url}}">{{title}}</a>' +
	'</div>' +
	'</div>'+
	'<ul id="dropdown{{id}}" class="dropdown-content">' +
	'<li><a href="#!" data-title="{{title}}" data-href="{{url}}" data-text="{{contentSnippet}}" class="share">Share</a></li>' +
	'</ul>' +
	'</div>';

var html = '';
for(var i = 0; i < channels.length; i++){
	if(!channels[i].img){
		channels[i].img = 'img/ic_live_tv_white_48dp.png';
	}
}
for(i = 0; i < channels.length; i++){
	var channel = channels[i];
	html += item_template.replace(/{{(.*?)}}/ig, function (k, s) {
		if(s == 'id') return i;
		return getDataByString(channel, s);
	});
}
$('.channels-collection').html(html);

$('.collection-item').bind('click',function(e){
	window.location = $(this).find('a').attr('href');
});

$(document).on('click', '.share', function (e){
	e.stopPropagation();
	appsgeyser.ui.shareText($(this).data('title'), $(this).data('href'));
});

window.onload = function()
{
	$('.row.channels-collection').masonry({
		itemSelector: '.collection-item.col.s6.m4.l3',
		percentPosition: true
	});
};
